Bug 103112 - Install auth_mysql after apache failed
Summary: Install auth_mysql after apache failed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-26 17:14 UTC by Stanley
Modified: 2016-11-24 15:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 10:18:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stanley 2003-08-26 17:14:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Hi all
Recently i install auth_mysql in my apache , after starting the httpd 
service , the error message show the following:

httpd:Syntax error on line 6 of /etc/httpd/conf.d/auth_mysql.conf:
Cannot load /etc/httpd/modules/mod_auth_mysql.so into 
server: /usr/lib/libmysqlclient.so.10: symbol errno, version GLIBC_2.0 not 
defined in file libc.so.6 with link time reference
failed

also i trying the following steps to solve but can't fixed:
how can i fiexd this problem??? thx all


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.# rpm -q glibc
glibc-2.3.2-11.9
2.# rpm -e glibc-2.3.2-11.9
3.# rpm -Uvh --replacepkgs --replacefiles glibc-2.3.2-27.9.i686.rpm


    

Actual Results:  Can't fixed


Additional info:

Comment 1 Jakub Jelinek 2003-09-03 10:18:48 UTC
That's broken /usr/lib/libmysqlclient.so.10. Probably you're not using the
one included in the distribution, as that should have this bug fixed.
As workaround, you can try to run the application with LD_ASSUME_KERNEL=2.4.19
in the environment but certainly better is to fix the bug (before every errno
use there must be a #include <errno.h>).


Note You need to log in before you can comment on or make changes to this bug.